Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.blueprint.reflect
Interface BeanArgument

    public interface BeanArgument

Metadata for a factory method or constructor argument of a bean. The arguments of a bean are obtained from `BeanMetadata.getArguments()`. This is specified by the `argument` elements of a bean.

Version:
  $Revision: 7563 $

Method Summary
`int` | `getIndex()` Return the zero-based index into the parameter list of the factory method or constructor to be invoked for this argument.
`Metadata` | `getValue()` Return the Metadata for the argument value.
`String` | `getValueType()` Return the name of the value type to match the argument and convert the value into when invoking the constructor or factory method.

Method Detail

### getValue

    Metadata getValue()

  Return the Metadata for the argument value. This is specified by the `value` attribute.

  Returns:
    The Metadata for the argument value.

### getValueType

    String getValueType()

  Return the name of the value type to match the argument and convert the value into when invoking the constructor or factory method. This is specified by the `type` attribute.

  Returns:
    The name of the value type to convert the value into, or `null` if no type is specified.

### getIndex

    int getIndex()

  Return the zero-based index into the parameter list of the factory method or constructor to be invoked for this argument. This is determined by specifying the `index` attribute for the bean. If not explicitly set, this will return -1 and the initial ordering is defined by its position in the `BeanMetadata.getArguments()` list. This is specified by the `index` attribute.

  Returns:
    The zero-based index of the parameter, or -1 if no index is specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.